Index: squid/lib/safe_inet_addr.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/safe_inet_addr.c,v
retrieving revision 1.1.1.3.30.1
retrieving revision 1.1.1.3.30.1.2.1
diff -u -r1.1.1.3.30.1 -r1.1.1.3.30.1.2.1
--- squid/lib/safe_inet_addr.c	6 Jan 2001 12:40:10 -0000	1.1.1.3.30.1
+++ squid/lib/safe_inet_addr.c	27 Aug 2001 21:48:18 -0000	1.1.1.3.30.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: safe_inet_addr.c,v 1.1.1.3.30.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: safe_inet_addr.c,v 1.1.1.3.30.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  */
 
 #include "config.h"
Index: squid/lib/snprintf.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/snprintf.c,v
retrieving revision 1.1.1.3.30.1
retrieving revision 1.1.1.3.30.1.2.1
diff -u -r1.1.1.3.30.1 -r1.1.1.3.30.1.2.1
--- squid/lib/snprintf.c	6 Jan 2001 12:40:10 -0000	1.1.1.3.30.1
+++ squid/lib/snprintf.c	27 Aug 2001 21:48:18 -0000	1.1.1.3.30.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: snprintf.c,v 1.1.1.3.30.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snprintf.c,v 1.1.1.3.30.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  */
 
 /* ====================================================================
@@ -196,7 +196,7 @@
     for (i = ndigit - 1; i > 0 && p1[i] == '0'; i--)
 	ndigit--;
     if ((decpt >= 0 && decpt - ndigit > 4)
-	|| (decpt < 0 && decpt < -3)) {		/* use E-style */
+	|| (decpt < 0 && decpt < -3)) {	/* use E-style */
 	decpt--;
 	*p2++ = *p1++;
 	*p2++ = '.';
@@ -241,9 +241,11 @@
 
 #endif /* HAVE_CVT */
 
-typedef enum {
+typedef enum
+{
     NO = 0, YES = 1
-} boolean_e;
+}
+boolean_e;
 
 #define FALSE			0
 #define TRUE			1
@@ -272,7 +274,8 @@
 /*
  * Descriptor for buffer area
  */
-struct buf_area {
+struct buf_area
+{
     char *buf_end;
     char *nextb;		/* pointer to next byte to read/write   */
 };
@@ -408,7 +411,8 @@
  */
 static char *
 conv_fp(register char format, register double num,
-    boolean_e add_dp, int precision, bool_int * is_negative, char *buf, int *len)
+    boolean_e add_dp, int precision, bool_int * is_negative, char *buf,
+    int *len)
 {
     register char *s = buf;
     register char *p;
@@ -519,8 +523,7 @@
  * Do format conversion placing the output in buffer
  */
 static int
-format_converter(register buffy * odp, const char *fmt,
-    va_list ap)
+format_converter(register buffy * odp, const char *fmt, va_list ap)
 {
     register char *sp;
     register char *bep;
@@ -533,9 +536,11 @@
 
     register int min_width = 0;
     int precision = 0;
-    enum {
+    enum
+    {
 	LEFT, RIGHT
-    } adjust;
+    }
+    adjust;
     char pad_char;
     char prefix_char;
 
@@ -698,8 +703,7 @@
 		    ui_num = va_arg(ap, u_wide_int);
 		else
 		    ui_num = (u_wide_int) va_arg(ap, unsigned int);
-		s = conv_p2(ui_num, 3, *fmt,
-		    &num_buf[NUM_BUF_SIZE], &s_len);
+		s = conv_p2(ui_num, 3, *fmt, &num_buf[NUM_BUF_SIZE], &s_len);
 		FIX_PRECISION(adjust_precision, precision, s, s_len);
 		if (alternate_form && *s != '0') {
 		    *--s = '0';
@@ -714,8 +718,7 @@
 		    ui_num = (u_wide_int) va_arg(ap, u_wide_int);
 		else
 		    ui_num = (u_wide_int) va_arg(ap, unsigned int);
-		s = conv_p2(ui_num, 4, *fmt,
-		    &num_buf[NUM_BUF_SIZE], &s_len);
+		s = conv_p2(ui_num, 4, *fmt, &num_buf[NUM_BUF_SIZE], &s_len);
 		FIX_PRECISION(adjust_precision, precision, s, s_len);
 		if (alternate_form && i_num != 0) {
 		    *--s = *fmt;	/* 'x' or 'X' */
@@ -814,8 +817,7 @@
 		ui_num = (u_wide_int) va_arg(ap, char *);
 
 		if (sizeof(char *) <= sizeof(u_wide_int))
-		         s = conv_p2(ui_num, 4, 'x',
-			&num_buf[NUM_BUF_SIZE], &s_len);
+		    s = conv_p2(ui_num, 4, 'x', &num_buf[NUM_BUF_SIZE], &s_len);
 		else {
 		    s = "%p";
 		    s_len = 2;
@@ -888,8 +890,7 @@
  * because size_t is unsigned on some platforms
  */
 static void
-strx_printv(int *ccp, char *buf, size_t len, const char *format,
-    va_list ap)
+strx_printv(int *ccp, char *buf, size_t len, const char *format, va_list ap)
 {
     buffy od;
     int cc;
@@ -922,7 +923,7 @@
  * if len == 0, silently return
  */
 int
-snprintf(char *buf, size_t len, const char *format,...)
+snprintf(char *buf, size_t len, const char *format, ...)
 {
     int cc = 0;
     va_list ap;
Index: squid/lib/splay.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/splay.c,v
retrieving revision 1.1.1.2.2.1
retrieving revision 1.1.1.2.2.1.2.1
diff -u -r1.1.1.2.2.1 -r1.1.1.2.2.1.2.1
--- squid/lib/splay.c	6 Jan 2001 12:40:10 -0000	1.1.1.2.2.1
+++ squid/lib/splay.c	27 Aug 2001 21:48:18 -0000	1.1.1.2.2.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: splay.c,v 1.1.1.2.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: splay.c,v 1.1.1.2.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  */
 
 #include "config.h"
@@ -148,9 +148,11 @@
 
 #ifdef DRIVER
 
-typedef struct {
+typedef struct
+{
     int i;
-} intnode;
+}
+intnode;
 
 int
 compareint(void *a, splayNode * n)
Index: squid/lib/tempnam.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/tempnam.c,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/lib/tempnam.c	6 Jan 2001 12:40:11 -0000	1.1.1.1.44.1
+++ squid/lib/tempnam.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: tempnam.c,v 1.1.1.1.44.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: tempnam.c,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  */
 
 /* A reasonably functional tmpnam. */
@@ -61,10 +61,10 @@
 {
     static const char digits[] =
 #if (L_tmpnam >= L_tmpmin + LONG_BIT / 4)
-    "0123456789abcdef";
+	"0123456789abcdef";
 #define TMP_BASE	16
 #else
-    "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_-";
+	"0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_-";
 #define TMP_BASE	64
 #endif
     static unsigned long lastcount = 0;
Index: squid/lib/util.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/util.c,v
retrieving revision 1.1.1.3.4.2.2.2
retrieving revision 1.1.1.3.4.2.2.2.2.1
diff -u -r1.1.1.3.4.2.2.2 -r1.1.1.3.4.2.2.2.2.1
--- squid/lib/util.c	28 Jul 2001 10:18:13 -0000	1.1.1.3.4.2.2.2
+++ squid/lib/util.c	27 Aug 2001 21:48:18 -0000	1.1.1.3.4.2.2.2.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: util.c,v 1.1.1.3.4.2.2.2 2001/07/28 10:18:13 serassio Exp $
+ * $Id: util.c,v 1.1.1.3.4.2.2.2.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -76,15 +75,16 @@
 #if !defined(__CYGWIN__)
 extern int sys_nerr;
 #else
-extern __declspec(dllimport) int sys_nerr;
+extern
+__declspec(dllimport)
+     int sys_nerr;
 #endif
 
 #if MEM_GEN_TRACE
 
-static FILE *tracefp = NULL;
+     static FILE *tracefp = NULL;
 
-void
-log_trace_init(char *fn)
+     void log_trace_init(char *fn)
 {
     tracefp = fopen(fn, "a+");
     if (!tracefp) {
@@ -317,7 +317,8 @@
 	    (int) mi - last_mallinfo, (int) mi,
 	    xmalloc_file, xmalloc_line, xmalloc_func);
 	if (sign < 0)
-	    fprintf(stderr, " (%d %s:%d)\n", malloc_number(p), malloc_file_name(p), malloc_line_number(p));
+	    fprintf(stderr, " (%d %s:%d)\n", malloc_number(p),
+		malloc_file_name(p), malloc_line_number(p));
 	else
 	    fprintf(stderr, " %d\n", xmalloc_count);
     }
@@ -349,7 +350,8 @@
 			    malloc_line[B][I], malloc_size[B][I],
 			    malloc_count[B][I]);
 			sum += malloc_size[B][I];
-			xmalloc_scan_region(malloc_ptrs[B][I], malloc_size[B][I], depth + 1);
+			xmalloc_scan_region(malloc_ptrs[B][I],
+			    malloc_size[B][I], depth + 1);
 			if (depth == 0) {
 			    if (sum != malloc_size[B][I])
 				fprintf(stderr, "=== %d bytes\n", sum);
@@ -358,9 +360,9 @@
 #if XMALLOC_SHOW_ALL_REFERENCES
 		    } else {
 			/* We have already scanned this pointer... */
-			fprintf(stderr, "%*s%p %s:%d size %d allocation %d ... (%d)\n",
-			    depth * 2, "",
-			    malloc_ptrs[B][I], malloc_file[B][I],
+			fprintf(stderr,
+			    "%*s%p %s:%d size %d allocation %d ... (%d)\n",
+			    depth * 2, "", malloc_ptrs[B][I], malloc_file[B][I],
 			    malloc_line[B][I], malloc_size[B][I],
 			    malloc_count[B][I], malloc_refs[B][I]);
 #endif
@@ -539,8 +541,9 @@
 	sz = 1;
     if ((p = calloc(n, sz)) == NULL) {
 	if (failure_notify) {
-	    snprintf(msg, 128, "xcalloc: Unable to allocate %d blocks of %d bytes!\n",
-		(int) n, (int) sz);
+	    snprintf(msg, 128,
+		"xcalloc: Unable to allocate %d blocks of %d bytes!\n", (int) n,
+		(int) sz);
 	    (*failure_notify) (msg);
 	} else {
 	    perror("xcalloc");
@@ -581,7 +584,7 @@
     }
     /* copy string, including terminating character */
     sz = strlen(s) + 1;
-    return (char *)memcpy(xmalloc(sz), s, sz);
+    return (char *) memcpy(xmalloc(sz), s, sz);
 }
 
 /*
@@ -596,7 +599,7 @@
     sz = strlen(s) + 1;
     if (sz > n)
 	sz = n;
-    return (char *)xstrncpy((char *)xmalloc(sz), s, sz);
+    return (char *) xstrncpy((char *) xmalloc(sz), s, sz);
 }
 
 /*
@@ -607,7 +610,11 @@
 {
     static char xstrerror_buf[BUFSIZ];
     if (errno < 0 || errno >= sys_nerr)
+#ifdef _SQUID_MSWIN_
+	strncpy(xstrerror_buf, wsastrerror(errno), BUFSIZ);
+#else
 	snprintf(xstrerror_buf, BUFSIZ, "(%d) Unknown", errno);
+#endif
     else
 	snprintf(xstrerror_buf, BUFSIZ, "(%d) %s", errno, strerror(errno));
     return xstrerror_buf;
@@ -620,12 +627,16 @@
 const char *
 xbstrerror(int err)
 {
-    static char xbstrerror_buf[BUFSIZ];
+    static char xstrerror_buf[BUFSIZ];
     if (err < 0 || err >= sys_nerr)
-	snprintf(xbstrerror_buf, BUFSIZ, "(%d) Unknown", errno);
+#ifdef _SQUID_MSWIN_
+	strncpy(xstrerror_buf, wsastrerror(err), BUFSIZ);
+#else
+	snprintf(xstrerror_buf, BUFSIZ, "(%d) Unknown", err);
+#endif
     else
-	snprintf(xbstrerror_buf, BUFSIZ, "(%d) %s", err, strerror(err));
-    return xbstrerror_buf;
+	snprintf(xstrerror_buf, BUFSIZ, "(%d) %s", err, strerror(err));
+    return xstrerror_buf;
 }
 #endif
 
@@ -642,15 +653,13 @@
 int
 tvSubMsec(struct timeval t1, struct timeval t2)
 {
-    return (t2.tv_sec - t1.tv_sec) * 1000 +
-	(t2.tv_usec - t1.tv_usec) / 1000;
+    return (t2.tv_sec - t1.tv_sec) * 1000 + (t2.tv_usec - t1.tv_usec) / 1000;
 }
 
 int
 tvSubUsec(struct timeval t1, struct timeval t2)
 {
-    return (t2.tv_sec - t1.tv_sec) * 1000000 +
-	(t2.tv_usec - t1.tv_usec);
+    return (t2.tv_sec - t1.tv_sec) * 1000000 + (t2.tv_usec - t1.tv_usec);
 }
 
 double
Index: squid/lib/uudecode.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/uudecode.c,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/lib/uudecode.c	6 Jan 2001 12:40:11 -0000	1.1.1.1.44.1
+++ squid/lib/uudecode.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: uudecode.c,v 1.1.1.1.44.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: uudecode.c,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  */
 
 #include "config.h"
@@ -8,18 +8,27 @@
 extern char **environ;
 
 /* aaaack but it's fast and const should make it shared text page. */
-const int pr2six[256] =
-{
-    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
-    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 62, 64, 64, 64, 63,
-    52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 64, 64, 64, 64, 64, 64, 64, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9,
-    10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 64, 64, 64, 64, 64, 64, 26, 27,
-    28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51,
-    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
-    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
-    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
-    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
-    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
+const int pr2six[256] = {
+    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
+    62, 64, 64, 64, 63,
+    52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 64, 64, 64, 64, 64, 64, 64, 0, 1, 2,
+    3, 4, 5, 6, 7, 8, 9,
+    10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 64, 64, 64,
+    64, 64, 64, 26, 27,
+    28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46,
+    47, 48, 49, 50, 51,
+    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
+    64, 64, 64, 64, 64,
     64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64
 };
 
@@ -45,7 +54,7 @@
     nprbytes = (char *) bufin - bufcoded - 1;
     nbytesdecoded = ((nprbytes + 3) / 4) * 3;
 
-    bufplain = (char*)xmalloc(nbytesdecoded + 1);
+    bufplain = (char *) xmalloc(nbytesdecoded + 1);
     bufout = (unsigned char *) bufplain;
     bufin = (const unsigned char *) bufcoded;
 
